### Function

# Vips tracked_open

#### Declaration [src]

    int
    vips_tracked_open (
      const char* pathname,
      int flags,
      int mode
    )

#### Description [src]

Exactly as `open()`, but the number of files currently open via `vips_tracked_open()` is available via `vips_tracked_get_files()`. This is used by the vips operation cache to drop cache when the number of files available is low.

You must only close the file descriptor with `vips_tracked_close()`.

`pathname` should be utf8.

See also

`vips_tracked_close()`, `vips_tracked_get_files()`.

#### Parameters

`pathname`

  Type: `const char*`

  Name of file to open.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `int`

  Flags for `open()`.

`mode`

  Type: `int`

  Open mode.

#### Return value

Type: `int`

A file descriptor, or -1 on error.